Index: tests/attr_tests/abac_attr.xml_save
===================================================================
--- tests/attr_tests/abac_attr.xml_save	(revision ec550f769c681cfa831dc724f82ddacd21fc75cd)
+++ tests/attr_tests/abac_attr.xml_save	(revision f70a129c473b0547d01e9deb1f8a589ce5494b56)
@@ -4,6 +4,6 @@
 	<type>abac</type>
 	<version>1.0</version>
-	<expires>2014-05-16T17:36:16Z</expires>
-	<rt0>1b4b34112e1f4fb09e1cf6aab3005b823bc32f15.delicious&lt;-3853ed099d57a77f122d1e1c77330f47cb6895bb</rt0>
+	<expires>2034-06-01T18:55:30Z</expires>
+	<rt0>268212ecefaabd0e047c904edb2e31111ccee285.delicious&lt;-eb6977b27fb6a765ae7b3cabe26f3da89cc34395</rt0>
     </credential>
     <signatures>
@@ -17,23 +17,23 @@
 		    </Transforms>
 		    <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
-		    <DigestValue>HpQK7L1O2ko+B3YKSIVsnLqGeIU=</DigestValue>
+		    <DigestValue>fNA0Yxk+InLyrtIQ2ZLOQjvTsaU=</DigestValue>
 		</Reference>
 	    </SignedInfo>
-	    <SignatureValue>V8QPbNBEOjsMuwAll/IMZ1D9qmxOwGSqYJqH2PO8AUWOSnBOU2DGoz91c2xHpNWb
-DaC/9yAEvpfauW4mjB0kDnZynVYWAFyRv8gid1KRYVTQFQufAwJLB7aW9yLecmwo
-A+sCXfHhvnP2dEee3QDErSDB90SkhQY18NY4vFqOxEUfu6j9NGvXFyK6bbhRw5bz
-q9nvyq6xhX9AkgPxA8A6mN/AL09I8KWzk6+Jk8nvTHUUI1U2seSF3JlN7PgV8HSR
-DloiNUdnR5WzFeeDDgJVidh07kK9MKTIIln98rNHFdfs97DjN/K9IBoHbGu91RoG
-DzcAPzGE+cJqpJODrErL9g==</SignatureValue>
+	    <SignatureValue>ZiR4DB138ZVNrXsig6cLav3M11+MHS0flHdBU+7WXmsrJfpK3KNqd1sw1MSBXcY2
+PPXlMRqCOUje2Kt460Wb9+7H6C+FBlgaD2Kd7gQ95xPo9PtqZmc25k8tBMvzRGrT
+YFQwNKmqDOPYs/EFKh8ikS4o13hWTBr+6P86p8vfaBZWqZzpqayaCg/5MBbaylgM
+wNB+50S/gboDF/oABVjzzebHLA7RDzQga9k4uqdJlRi7jYLqBE3uKFPOi5KKRrr0
+93yRQUKmlb5SM1J3kNAI6+EkDuJLSv66GvGc0orG0oM5TzqLidAlYWBs8AJHiBwt
+dPOeYBjmhHDESbVOgQx2Ag==</SignatureValue>
 	    <KeyInfo>
 	      <KeyValue>
 <RSAKeyValue>
 <Modulus>
-nZ8zZ7HhvVG4IciQL98FqqvyDLamCDRo4jnXh1lIyQTvrPTeHarwBj0yr7NP2olH
-0IaxahYkOa4kzQY0vB9CAfPLoMoi+d3q9m9m+GE3WSiZMA0S04RqMWR3G27/+emR
-dL5ELkmFHSv3QQLYKWNXXlasNNUqopZONvme/5jVsqY25T5eeI3Hbk9HkbDWx9Ue
-kFx1/I4QuTOgPtBmYCgpOk5SMBw9Nrb5q8p7VIe6Oeqr9ko/HqA2d3cptb1Yytok
-8AzrNUKHAemCRwSrStG5p9jx05jZ9GoUM2/BJ8Mj6/6JvCUx024uVT7p/N3AOh3V
-RBnJEEUQE/wjoG1NJZ3REQ==
+z82R4/YeZGNt4H6XEKjqMd2rs2vL4RpW5yFzBMMyC8NiyqICwHhlLVLTbk/5EOb7
+IjyWfZ+CsbWnf7uo9gStSPA1NKZ5/HbyhzTCre7MexBV+TnVGcwSGmWrEq8+diIE
+lkbzYrdwmevhHKtzuQCeuX6/B1iR7+3diqdB2RDhVKHGgecZtNnS+ILASruC4pJN
+azu1E7DQ9HQh6N6+d8M/d0uJGHkxkc9sieElGW+/EHu+0cjZij7WvCPf5xhnN90Q
+MH0thRJZiZjKHgXhZ/S0lrf5ks8ejZNVMpNNOF6zCfaaYMTnwD4QEsA/xC5MC5Tw
+zZkvslDk48aJFHlfiWBCnw==
 </Modulus>
 <Exponent>
@@ -46,25 +46,25 @@
 		    
 		    
-		<X509Certificate>MIIDDDCCAfSgAwIBAgIJANcVltUSNIs6MA0GCSqGSIb3DQEBBQUAMBMxETAPBgNV
-BAMTCEljZUNyZWFtMB4XDTEzMDUxNjE3MzYxNFoXDTE2MDQzMDE3MzYxNFowEzER
-MA8GA1UEAxMISWNlQ3JlYW0wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
-AQCdnzNnseG9UbghyJAv3wWqq/IMtqYINGjiOdeHWUjJBO+s9N4dqvAGPTKvs0/a
-iUfQhrFqFiQ5riTNBjS8H0IB88ugyiL53er2b2b4YTdZKJkwDRLThGoxZHcbbv/5
-6ZF0vkQuSYUdK/dBAtgpY1deVqw01Sqilk42+Z7/mNWypjblPl54jcduT0eRsNbH
-1R6QXHX8jhC5M6A+0GZgKCk6TlIwHD02tvmryntUh7o56qv2Sj8eoDZ3dym1vVjK
-2iTwDOs1QocB6YJHBKtK0bmn2PHTmNn0ahQzb8EnwyPr/om8JTHTbi5VPun83cA6
-HdVEGckQRRAT/COgbU0lndERAgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wDgYD
-VR0PAQH/BAQDAgEGMB0GA1UdDgQWBBQbSzQRLh9PsJ4c9qqzAFuCO8MvFTAfBgNV
-HSMEGDAWgBQbSzQRLh9PsJ4c9qqzAFuCO8MvFTANBgkqhkiG9w0BAQUFAAOCAQEA
-Vqe/Sb4CfZA6Emd7nMMeV7PPgM9sxtu/H0k8YIdJE0pELazWJOHyS9ETN6Or1+O2
-fxpB+/OAIMEhzDvXzUEZdmbiyzfXrRVizMwhDkMsfWwHfb4N70OUsYYcUxZIBGUY
-YN6olKnAXAH+8XHy6qys+3ehMSg504I6zGjqzCQSWId78gybludBivi1Iyw1TXtC
-M8xVPRLPitnXOEOM2SfciL+Ot1DooPCap3HeEwhxh1NICIYuzw9C5NXxSzul6dh4
-NB3JTYANjUqjoY9v7LMpvjPVMZUuzx6TAETpK6M8EXfnNxm6O/+dVwbTpYsHcJp9
-4BTZ0xDH0DlO+8A8ri6aUg==</X509Certificate>
-<X509SubjectName>CN=IceCream</X509SubjectName>
+		<X509Certificate>MIIC/jCCAeagAwIBAgIJAO6mxkGQGcfIMA0GCSqGSIb3DQEBBQUAMAwxCjAIBgNV
+BAMTAVAwHhcNMTQwNjA2MTg1MTEyWhcNMzQwNjAxMTg1MTEyWjAMMQowCAYDVQQD
+EwFQMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAz82R4/YeZGNt4H6X
+EKjqMd2rs2vL4RpW5yFzBMMyC8NiyqICwHhlLVLTbk/5EOb7IjyWfZ+CsbWnf7uo
+9gStSPA1NKZ5/HbyhzTCre7MexBV+TnVGcwSGmWrEq8+diIElkbzYrdwmevhHKtz
+uQCeuX6/B1iR7+3diqdB2RDhVKHGgecZtNnS+ILASruC4pJNazu1E7DQ9HQh6N6+
+d8M/d0uJGHkxkc9sieElGW+/EHu+0cjZij7WvCPf5xhnN90QMH0thRJZiZjKHgXh
+Z/S0lrf5ks8ejZNVMpNNOF6zCfaaYMTnwD4QEsA/xC5MC5TwzZkvslDk48aJFHlf
+iWBCnwIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBBjAd
+BgNVHQ4EFgQUJoIS7O+qvQ4EfJBO2y4xERzO4oUwHwYDVR0jBBgwFoAUJoIS7O+q
+vQ4EfJBO2y4xERzO4oUwDQYJKoZIhvcNAQEFBQADggEBAEn1WDgiqlkn1LSWv8po
+1A0u6WPnpsG32m07euyCIuUV7NBWed6fX4VaNlrUiXdCYF5RYh/S0oOpQvOAYKRC
+HSKVrcPlcFQS7f0wFj3iSsoBPBuUfTwyjYICaeXJN0mOruJ/zod/U5lCfqmzviRX
+eyP3W0q74hm8c9yMDo6SdE7fMeufNiZ2s08jLIRAiEkyDU1b/g/jvnqIESHC3dZz
+XGrYiruYD2lWhv1BSceDk8o81IaSQ3HvPGDXzBsWeOotGwiVCVZDwydovM+7ht5h
+Y01DCjmBy2D0AgOK3lAri6mcBuVJAFrj3QHxfjL02QTbildAUK2AXEvzr9UWIItP
+K0c=</X509Certificate>
+<X509SubjectName>CN=P</X509SubjectName>
 <X509IssuerSerial>
-<X509IssuerName>CN=IceCream</X509IssuerName>
-<X509SerialNumber>15498459534543063866</X509SerialNumber>
+<X509IssuerName>CN=P</X509IssuerName>
+<X509SerialNumber>17196650212053600200</X509SerialNumber>
 </X509IssuerSerial>
 </X509Data>
